
Redmine - Defect #15622

Unable to add watcher who is not a member of the project

2013-12-08 10:17 - Daniel Hochman

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.3.1

Description

The feature described in #5159 (Ability to add Non-Member watchers to the watch list) is confirmed as not working in Redmine 2.3.1

and 2.3.3

You can only add people who are members of the given project.

Associated revisions

Revision 12396 - 2013-12-09 07:16 - Toshi MARUYAMA

add tests for non member watchers (#15622)

History

#1 - 2013-12-09 09:02 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Resolution set to Cant reproduce

I added some tests and tests pass.

I cannot reproduce on r12396.

#2 - 2013-12-09 09:14 - Daniel Hochman

My guess is the bug only happens with specific project or perhaps role settings.

Our projects are public and the members all have the same role. There is a role in our Redmine called Non Member and almost all permissions are

checked for that role. I don't see an option for the non-member role of "Add as Watcher" I do see "Add watchers" which is checked.

If the non-member opens the issues themselves they can click on the "Watch" link with no issue. However, the auto-complete add watcher function

does not display non-member.

We are also using "Watchers Textinput plugin" but I recall disabling that and I also had the issue.

Other people have reported this issue as well so we are not alone... (see #5159)

#3 - 2013-12-09 09:33 - Toshi MARUYAMA

I cannot see any problems in this method.

source:tags/2.4.1/app/controllers/watchers_controller.rb#L68

#4 - 2018-10-04 01:19 - Go MAEDA

- Status changed from Needs feedback to Closed

Please open a new issue if you still experience this problem with the latest version of Redmine.
